﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.UltraChart.Core.Primitives;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.UltraChart1.Data.DataSource = Infragistics.UltraChart.Data.DemoTable.Table();
        this.UltraChart1.Data.DataBind();

        this.UltraChart1.FillSceneGraph += new Infragistics.UltraChart.Shared.Events.FillSceneGraphEventHandler(UltraChart1_FillSceneGraph);
    }
    private Primitive LastPrimitive { get; set; }
    void UltraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
    {
        PrimitiveCollection primitivesToAdd = new PrimitiveCollection();
        foreach (Primitive p in e.SceneGraph)
        {
            if (p.Path != null && p.Path.Contains("Legend"))
            {
               p.Layer = e.ChartCore.GetChartLayer();
                if (p is Box && p.Row != -1 && p.Column != -1)
                {
                    this.LastPrimitive = p;
                    p.Caps |= PCaps.HitTest | PCaps.Tooltip;
               
                }
                else if (p is Text)
                {
                    Text t = (Text)p;
                    p.Row = this.LastPrimitive.Row;
                    p.Column = this.LastPrimitive.Column;
                    p.Value = this.LastPrimitive.Value;
                    Box newBox = new Box(t.bounds);
                    newBox.PE.FillOpacity = newBox.PE.StrokeOpacity = 0;
                    newBox.Row = p.Row;
                    newBox.Column = p.Column;
                    newBox.Chart = p.Chart;
                    newBox.Layer = p.Layer;
                    newBox.Value = p.Value;
                    newBox.Caps = PCaps.HitTest | PCaps.Tooltip;
                    primitivesToAdd.Add(newBox);
                }
            }
        }
        e.SceneGraph.AddRange(primitivesToAdd.ToArray());
    }

    protected void UltraChart1_ChartDrawItem(object sender, Infragistics.UltraChart.Shared.Events.ChartDrawItemEventArgs e)
    {
        
    }
}
